# frozen_string_literal: true

require "servers/gmod"
require "servers/rust"
require "servers/seven_days"
require "servers/team_fortress"
require "servers/minecraft_spigot"

def game_hash
  {
    "rust" => Rust.new,
    "sdtd" => SevenDays.new,
    "gmod" => GarrysMod.new,
    "tf2" => TeamFortress.new,
    "minecraft" => MinecraftSpigot.new
  }
end
